package com.bizmatics.mhfire.persistence.mapper.vo;

import lombok.Data;

/**
 * 设备汇总信息
 * @author yq
 * @date 2021/11/25 15:50
 */
@Data
public class DeviceCollectVO {
    /**
     * 设备类型
     */
    private String deviceType;
    /**
     * 设备总数
     */
    private Integer deviceCount;
    /**
     * 告警数
     */
    private Integer alertCount;
    /**
     * 离线数
     */
    private Integer lineCount;
    /**
     * 离线率
     */
    private Double lineRate;
    /**
     * 告警率
     */
    private Double alertRate;

    /**
     * 上线率
     */
    private Double onRate;

    /**
     * 接单率
     */
    private Double taskOrderRate;
    /**
     * 处置率
     */
    private Double checkRate;


}
