package com.bizmatics.mhfire.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.mhfire.model.WlClxx;
import com.bizmatics.mhfire.persistence.mapper.WlClxxMapper;
import com.bizmatics.mhfire.service.WlClxxService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ya
 * @since 2021-11-26
 */
@DS("mhsystem")
@Service
public class WlClxxServiceImpl extends AbstractCrudService<WlClxxMapper, WlClxx> implements WlClxxService {

    @Override
    public List<WlClxx> list(String zdCode) {
        LambdaQueryWrapper<WlClxx> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(WlClxx::getSsxfjgid,zdCode);
        return this.list(queryWrapper);
    }
}
